Wallet Settings
Update wallet settings
PUT
/api/v1/wallet-settingsUpdates the seller's payout phone number, provider, or minimum payout amounts.
Requires Authorization
SELLER only
Authenticated action
Body parameters
payoutPhoneNumberstring | |
payoutProviderstring | |
payoutCountrystring | |
minimumPayoutAmountsobject |
Request
curl --request PUT \
--url https://api.swiftgoma.com/api/v1/wallet-settings \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"payoutPhoneNumber": "<payoutPhoneNumber>",
"payoutProvider": "<payoutProvider>",
"payoutCountry": "<payoutCountry>",
"minimumPayoutAmounts": {}
}'200Example response
{
"success": true,
"data": {
"id": "ws_1a2b3c",
"sellerProfileId": "sp_2b3c4d",
"payoutPhoneNumber": "243812345678",
"payoutProvider": "MTN_MOMO_COD",
"payoutCountry": "CD",
"minimumPayoutAmounts": {
"USD": 20,
"CDF": 50000
}
}
}